1. obla's Avatar
    Hi guys! I bought a jailbroken 2G iphone with 2.2 firmware. Do you guys think it's worth upgrading the firmware to 2.2.1? If so, how should I upgrade it without locking it?

    .
    2009-05-14 04:03 AM
  2. Mes's Avatar
    2.2.1 offers little over 2.2, especially with 3.0 right around the corner. My recommendation? Stay put until 3.0 and some really good stuff
    2009-05-14 04:31 AM
  3. cpjr's Avatar
    +1
    2009-05-14 04:34 AM
  4. Chefanim's Avatar
    Im in the same boat, and I have to agree, Just hold of a bit
    So long, and thanks for all the fish
    2009-05-14 03:14 PM
  5. ajl917's Avatar
    Upgrading to 2.2.1 will upgrade your baseband and even though you can downgrade it, its a pain in the arse. Just stay with 2.2 and then you can just restore to 2.2, unlock, and sell your phone if you choose...
    2009-05-14 05:11 PM
  6. reeko's Avatar
    Many new apps will not run without firmware 2.2.1.

    Download this:

    files.me.com/baker.rk/isx9wi

    password: updateme


    Turn your iPhone off. Open itunes on your computer. Hold the home button down + plug your iphone into the computer via the USB lead. Don't let go of the home button.

    When the iPhone pops up in iTunes in recovery mode shift + click restore and choose the downloaded 2.2.1 firmware. It contains activation + cydia and will update you to 2.2.1 WITHOUT updating your baseband, so yellowsn0w will still work.

    If your on a legitimate carrier (AT&T or O2 etc.) then you will want a custom 2.2.1 that does not contain activation. I can upload one for you if need be.
    The Original Autobot of MMi
    Jesus couldn't turn into a fire engine


    LOL -> "Winterboard does not interfere at all with my performance."

    Suck it up, Sucker
    2009-05-14 05:52 PM
  7. obla's Avatar
    Many new apps will not run without firmware 2.2.1.

    Download this:

    files.me.com/baker.rk/isx9wi

    password: updateme


    Turn your iPhone off. Open itunes on your computer. Hold the home button down + plug your iphone into the computer via the USB lead. Don't let go of the home button.

    When the iPhone pops up in iTunes in recovery mode shift + click restore and choose the downloaded 2.2.1 firmware. It contains activation + cydia and will update you to 2.2.1 WITHOUT updating your baseband, so yellowsn0w will still work.

    If your on a legitimate carrier (AT&T or O2 etc.) then you will want a custom 2.2.1 that does not contain activation. I can upload one for you if need be.

    Hey, reeko... whats going on, big man. Thanks for the reply. Actually, I got t-mobile. Will this affect my t-mobile account in any way?

    Also, you mentioned this: "When the iPhone pops up in iTunes in recovery mode shift + click restore"..... Do you mean that I must press shift and click restore on itunes? I just want to make sure we're on the right track here. Thanks!

    .
    2009-05-15 06:43 PM
  8. confucious's Avatar
    I assume that reeko has posted a link to download a custom FW that preserves your BB.
    If you hold down shift (or tyhe option key on a Mac) you can then chose which ipsw you want to load - just make sure yoy chose the one you download from his link!
    I can't be bothered to go through the hassle of setting my phone up again so just stick with 2.20 and use FWChanger.
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.
    2009-05-15 08:33 PM
  9. reeko's Avatar
    Yep confucious is right. Just hold shift whilst clicking restore and a pop up window wil come up. Choose the firmware you downloaded from me which will NOT update your baseband.

    After restoring install yellowsn0w from Cydia and your iPhone will up and running, unlocked, legitimately on 2.2.1.

    The only real reason to upgrade is for app compatibility. There arent any new features.

    As confucious said, FWChanger will also do the job although you wont be legitimately on 2.2.1
    The Original Autobot of MMi
    Jesus couldn't turn into a fire engine


    LOL -> "Winterboard does not interfere at all with my performance."

    Suck it up, Sucker
    2009-05-15 09:06 PM
  10. Mes's Avatar
    Reeko might be right about apps requiring 2.2.1 --- but I haven't see it yet. On a side note, I hope most developers are smart and don't foolishly require the latest version unless it's absolutely necessary. Not everybody lives on the 'bleeding edge' (hahaha)
    2009-05-16 03:07 PM
  11. confucious's Avatar
    Tiger Woods Golf, NYT, Watchmen were three apps I found that require 2.21 to load, most, I believe, don't actually need 2.21 but do check. I believe the plist can be edited so they will work on 2.20 but FWChanger fools them, or, indeed, use reeko's FW and just upgrade.
    Or, as Mes says, just don't use the apps that need 2.21 - but I believe more and more do.
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.
    2009-05-16 03:17 PM
  12. seh6183's Avatar
    Why are you guys wasting your time bothering him with "custom firmwares" and filling his head with information that will just ultimately confuse him. If you read the first sentence he wrote you can see that he has a 2G...

    OP: Dont listen to these guys you can do whatever you want and still unlock your phone. You DONT need yellowsnow or anything else. Just download the latest version of quickpwn, update your phone to 2.2.1 and unlock/activate with quickpwn.
    2009-05-17 12:39 AM
  13. reeko's Avatar
    Very true. To busy reading the replies missing the whole 2G part
    The Original Autobot of MMi
    Jesus couldn't turn into a fire engine


    LOL -> "Winterboard does not interfere at all with my performance."

    Suck it up, Sucker
    2009-05-17 03:54 AM
  14. confucious's Avatar
    ^ +1

    D'Oh!
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.
    2009-05-17 09:44 AM
LINK TO POST COPIED TO CLIPBOARD